Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05112 Crash/Freeze Critical (emulator) Always Jan 19, 2013, 13:34 Feb 3, 2013, 17:32
Tester Firewave View Status Public Platform MESS (Self-compiled)
Assigned To galibert Resolution Fixed OS
Status [?] Resolved Driver x68k.cpp
Version 0.148 Fixed in Version 0.148u1 Build Debug
Summary MESS-specific 05112: x68030: Access Violation
Description
-----------------------------------------------------
Exception at EIP=0000000000000000 (): ACCESS VIOLATION
While attempting to write memory at 0000000000000000
-----------------------------------------------------
RAX=0000000004862978 RBX=0000000000000000 RCX=0000000000000000 RDX=00000000047FC678
RSI=00000000049CCB98 RDI=0000000000156680 RBP=0000000000000000 RSP=0000000000156648
 R8=0000000000000000  R9=00000000000000FF R10=FEFEFEFEFEFEFEFF R11=8080808080808080
R12=0000000000000000 R13=0000000000000000 R14=0000000000000000 R15=0000000000000000
-----------------------------------------------------
Stack crawl:
  0000000000156640: 0000000000000000 ()
  0000000000156680: 00000001412C6411 (delegate_mfp::method_stub<upd72065_device,unsigned char,address_space & __ptr64,unsigned int,unsigned char>+0x0061, s:\svn\mame\src\emu\delegate.h:329)
  00000000001566B0: 000000013F86FD7D (delegate_base<unsigned char,address_space & __ptr64,unsigned int,unsigned char,_noparam,_noparam>::operator()+0x004d, s:\svn\mame\src\emu\delegate.h:542)
  0000000000156720: 00000001410B3D32 (handler_entry_read::read_stub_32+0x01f2, s:\svn\mame\src\emu\memory.c:4830)
  0000000000156760: 00000001410C3DC0 (delegate_mfp::method_stub<handler_entry_read,unsigned int,address_space & __ptr64,unsigned int,unsigned int>+0x0060, s:\svn\mame\src\emu\delegate.h:329)
  0000000000156790: 000000014111603C (delegate_base<unsigned int,address_space & __ptr64,unsigned int,unsigned int,_noparam,_noparam>::operator()+0x004c, s:\svn\mame\src\emu\delegate.h:542)
  00000000001567C0: 0000000141122AFF (handler_entry_read::read32+0x004f, s:\svn\mame\src\emu\memory.c:395)
  0000000000156810: 0000000141127C1E (address_space_specific<unsigned int,1,1>::read_native+0x014e, s:\svn\mame\src\emu\memory.c:1061)
  0000000000156880: 00000001410C6814 (address_space_specific<unsigned int,1,1>::read_direct<unsigned char,1>+0x00b4, s:\svn\mame\src\emu\memory.c:1157)
  00000000001568C0: 0000000141123162 (address_space_specific<unsigned int,1,1>::read_byte+0x0052, s:\svn\mame\src\emu\memory.c:1389)
  00000000001568F0: 00000001409C6DBD (m68k_memory_interface::read_byte_32_mmu+0x008d, s:\svn\mame\src\emu\cpu\m68000\m68kcpu.c:1462)
  0000000000156930: 00000001409DCE0A (delegate_mfp::method_stub<m68k_memory_interface,unsigned char,unsigned int>+0x004a, s:\svn\mame\src\emu\delegate.h:311)
  0000000000156960: 000000013F805386 (delegate_base<unsigned char,unsigned int,_noparam,_noparam,_noparam,_noparam>::operator()+0x0036, s:\svn\mame\src\emu\delegate.h:540)
  0000000000156990: 0000000140F72140 (m68ki_read_8_fc+0x0060, s:\svn\mame\src\emu\cpu\m68000\m68kcpu.h:1073)
  00000000001569D0: 0000000140F7349B (OPER_AL_8+0x004b, s:\svn\mame\src\emu\cpu\m68000\m68kcpu.h:1311)
  0000000000156A10: 0000000140F30128 (_m68ki_cpu_core::m68k_op_move_8_d_al+0x0028, s:\svn\mame\obj\vwindows64d\emu\cpu\m68000\m68kops.c:15930)
  0000000000156AE0: 00000001409D550B (cpu_execute_m68k+0x020b, s:\svn\mame\src\emu\cpu\m68000\m68kcpu.c:810)
  0000000000156B10: 00000001414374B7 (legacy_cpu_device::execute_run+0x0037, s:\svn\mame\src\emu\devcpu.c:261)
  0000000000156B40: 0000000141204421 (device_execute_interface::run+0x0031, s:\svn\mame\src\emu\diexec.h:221)
  0000000000156C60: 0000000141200EF2 (device_scheduler::timeslice+0x0432, s:\svn\mame\src\emu\schedule.c:489)
  00000000001571D0: 000000014121C8AC (running_machine::run+0x034c, s:\svn\mame\src\emu\machine.c:396)
  000000000015D950: 00000001410A69F8 (mame_execute+0x01f8, s:\svn\mame\src\emu\mame.c:190)
  000000000015F870: 000000014182A4EF (cli_frontend::execute+0x0a2f, s:\svn\mame\src\emu\clifront.c:255)
  000000000015FD60: 00000001417AB96B (utf8_main+0x017b, s:\svn\mame\src\osd\windows\winmain.c:484)
  000000000015FDA0: 00000001417A75C0 (wmain+0x00b0, s:\svn\mame\src\osd\windows\main.c:82)
  000000000015FDF0: 0000000141746C2C (__tmainCRTStartup+0x00ec, f:\dd\vctools\crt_bld\self_64_amd64\crt\src\crt0.c:241)
  000000000015FE20: 0000000141746D6E (wmainCRTStartup+0x000e, f:\dd\vctools\crt_bld\self_64_amd64\crt\src\crt0.c:164)
  000000000015FE50: 000000007738652D (BaseThreadInitThunk+0x000d)
  000000000015FEA0: 000000007791C521 (RtlUserThreadStart+0x0021)
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems x68030
Attached Files
 
Relationships
related to 05110Resolvedgalibert multi16: Access Violation 
related to 05124Resolvedgalibert t1000rl, t1000tl2, t1000tx: Access Violation 
Notes
3
User avatar
No.09256
Tafoid
Administrator
Jan 19, 2013, 17:26
Unable to confirm using regular or debug builds current SVN (r20344) MESS.
Waited several emulated seconds for each and it exited clean.
User avatar
No.09271
Firewave
Senior Tester
Jan 23, 2013, 12:45
Can reproduce with Visual Studio compile, but not with official toolchain or on Linux. I used r20412.
User avatar
No.09305
Firewave
Senior Tester
Feb 3, 2013, 17:32
Fixed in r20704